# watcherclient.v1.client module

class watcherclient.v1.client.Client(endpoint=None, *args, **kwargs)

  Bases: `object`

  Client for the Watcher v1 API.

  Parameters

    - endpoint (string) – A user-supplied endpoint URL for the watcher service.

    - token (function) – Provides token for authentication.

    - timeout (integer) – Allows customization of the timeout for client http requests. (optional)

this page last updated: 2021-12-01 21:05:37

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug